Subject: Re: bug#19219: New command-line syntax for package + version?

From: Leo Famulari <[email-masked]>
Date: Wed, 30 Dec 2015 20:16:31 -0500

On Wed, Dec 30, 2015 at 11:45:14PM +0100, Mathieu Lirzin wrote:
> [email-masked] (Ludovic Courtès) writes:
> 
> > I had to think a lot because that’s a big change (technically simple I
> > think, but it’s the change of UI and habits that’s bigger ;-)).  I came
> > to the conclusion that it’s probably a necessary thing.
> 
> Sure, such change should not be made lightly.
> 
> > Regarding the aesthetics, I’d be in favor of using @ for the version:
> 
> You mean like npm...  :)
> 
> >   [email-masked]
> >   [email-masked]:doc
> >
> > I’m not sure if we should also allow:
> >
> >   guile:[email-masked]
> >
> > Thoughts?
> 
> I'm OK with that.  Since choosing the reserved characters is not a
> technical decision, maybe we could poll users?

I think we should poll a big list of packages and see which characters
are most safe to use.

The question is: which big list? Debian's?

> --
> Mathieu Lirzin